<?php

/**
 * Validates a boolean attribute
 */
class ROE_Vendor_HTMLPurifier_AttrDef_HTML_Bool extends ROE_Vendor_HTMLPurifier_AttrDef
{

    /**
     * @type string
     */
    protected $name;

    /**
     * @type bool
     */
    public $minimized = true;

    /**
     * @param bool|string $name
     */
    public function __construct($name = false)
    {
        $this->name = $name;
    }

    /**
     * @param string $string
     * @param ROE_Vendor_HTMLPurifier_Config $config
     * @param ROE_Vendor_HTMLPurifier_Context $context
     * @return bool|string
     */
    public function validate($string, $config, $context)
    {
        return $this->name;
    }

    /**
     * @param string $string Name of attribute
     * @return ROE_Vendor_HTMLPurifier_AttrDef_HTML_Bool
     */
    public function make($string)
    {
        return new ROE_Vendor_HTMLPurifier_AttrDef_HTML_Bool($string);
    }
}

// vim: et sw=4 sts=4
